﻿@page "/counter"

<h1>Counter</h1>

<p>Current count: @currentCount</p>

<button class="btn btn-primary" @onclick="IncrementCount">Click me</button>

@code {
    private int currentCount = 0;


    [Parameter]
    public int IncrementAmount {get; set;} = 1;

    private void IncrementCount()
    {
        currentCount += IncrementAmount;
    }
}
